Package com.logicaldoc.core.metadata

# Class AttributeOption

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.metadata.AttributeOption

All Implemented Interfaces:
  `Serializable`, `Comparable<AttributeOption>`

@Entity public class AttributeOption extends PersistentObject implements Comparable<AttributeOption>
Represents an option for a multi-choice attribute

Since:
  7.1
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`AttributeOption()`
`AttributeOption(long setId, String attribute, String value)`
`AttributeOption(long setId, String attribute, String value, String category)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(AttributeOption other)`
`boolean`
`equals(Object obj)`
`String`
`getAttribute()`
`String`
`getCategory()`
`String`
`getLabel()`
`int`
`getPosition()`
`long`
`getSetId()`
`String`
`getValue()`
`int`
`hashCode()`
`void`
`setAttribute(String attribute)`
`void`
`setCategory(String category)`
`void`
`setLabel(String label)`
`void`
`setPosition(int position)`
`void`
`setSetId(long setId)`
`void`
`setValue(String value)`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AttributeOption

public AttributeOption()

### AttributeOption

public AttributeOption(long setId, String attribute, String value, String category)

### AttributeOption

public AttributeOption(long setId, String attribute, String value)

## Method Details

### getSetId

public long getSetId()

### setSetId

public void setSetId(long setId)

### getAttribute

public String getAttribute()

### setAttribute

public void setAttribute(String attribute)

### getValue

public String getValue()

### setValue

public void setValue(String value)

### getLabel

public String getLabel()

### setLabel

public void setLabel(String label)

### getPosition

public int getPosition()

### setPosition

public void setPosition(int position)

### getCategory

public String getCategory()

### setCategory

public void setCategory(String category)

### compareTo

public int compareTo(AttributeOption other)

Specified by:
  `compareTo` in interface `Comparable<AttributeOption>`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `PersistentObject`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `PersistentObject`